Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  entmake attributsblock

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   entmake attributsblock (787 mal gelesen)
CADblue
Mitglied



Sehen Sie sich das Profil von CADblue an!   Senden Sie eine Private Message an CADblue  Schreiben Sie einen Gästebucheintrag für CADblue

Beiträge: 111
Registriert: 20.07.2011

acad 2016 + civil

erstellt am: 11. Mai. 2012 13:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo!!!

Ich versuche gerade krampfhaft mir mit "entmake" einen attributsblock zu kopieren, leider funktioniert es aber irgendwie nicht.

Testweise Ausgangsform:
(entmake(entget(car(entsel))))
dann dachte ich mir viell. liegt es am gleichen objektnamen was autocad nicht erkennt da ja evtl der gleiche block mit gleichem objektnamen vorhanden ist also habe ich mal das versucht
(entmake (cdr(entget(car(entsel)))))
sodass viell. von acad ein neuer objektname vergeben wird.

Ich habe die beiden versionen mit normalen blöcken kopiert, das war alles kein problem aber mit attributsblöcken bekomme ich es einfach nicht hin.

Woran liegt das? eigentlich will ich nur einen vorhandenen attributsblock mit entmod einen neuen namen zuweisen jedoch auch das wird nicht aktezpiert ...

mfg blue

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13322
Registriert: 30.11.2003

.

erstellt am: 11. Mai. 2012 13:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CADblue 10 Unities + Antwort hilfreich

willst du einen Block umbenennen oder Clonen ? ... bei letzterem darf nicht nur der Rumpfblock "entmaked" werden, sondern auch alle Block objekte  .. als letztes wird dann mit Entmaken eines ENDBLK der Block abgeschlossen.-->BSP

fürs umbenennen reicht ein entmod der Blockdefinition .. (entget(tblobjname "BLOCK" NAME)) ...

------------------
           - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADblue
Mitglied



Sehen Sie sich das Profil von CADblue an!   Senden Sie eine Private Message an CADblue  Schreiben Sie einen Gästebucheintrag für CADblue

Beiträge: 111
Registriert: 20.07.2011

acad 2016 + civil

erstellt am: 11. Mai. 2012 13:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

ok cadmi danke soweit, das sieht doch etwas aufwändiger aus den block zu clonen. werde ich mir evtl am wochenende mal zu gemühte führen.

wie sieht es aus wenn ich den block umbenennen will? denn die einzige antwort die ich bekomme ist "nil"

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13322
Registriert: 30.11.2003

.

erstellt am: 11. Mai. 2012 13:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CADblue 10 Unities + Antwort hilfreich

machs mit (command  "_rename" "_BLOCK" ALTERNAME NEUERNAME) .....

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1045
Registriert: 11.01.2006

WIN 10
ACAD 2017

erstellt am: 11. Mai. 2012 16:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CADblue 10 Unities + Antwort hilfreich

Das geht nicht mit entmake weil die Attribute fehlen.

Das hier sollte reichen:
(defun c:clone (/ ENT_DATA ENT_LIST ENT_NAME PIC)
;;; wählen 
  (if (setq pic (entsel))
    (progn
;;; Daten in Liste
      (setq ent_data (entget (setq ent_name (car pic))))
      (setq ent_list (cons ent_data ent_list))
;;; wenn Folgeobjekte (Attribute)
      (if (= (cdr (assoc 66 ent_data)) 1)
(progn
  (while (/= (cdr (assoc 0 ent_data)) "SEQEND")
    (setq ent_data (entget (setq ent_name (entnext ent_name))))
    (setq ent_list (cons ent_data ent_list))
  )
)
      )
;;; neues Objekt erstellen, vorher Elementnamen aus Daten löschen
      (foreach ent_data
      (reverse
(mapcar '(lambda (ent_data)
    (vl-remove (assoc -1 ent_data) ent_data)
  )
ent_list
)
      )
(entmakex ent_data)
      )
    )
  )
  (princ)
)

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Konstruktions­in­ge­nieur (m/w) Maschinen- und Anlagenbau
Konstruktions­in­ge­nieur (m/w) Maschinen- und Anlagenbau Konstruktions­in­ge­nieur (m/w) Maschinen- und Anlagenbau Ihr Ansprechpartner Frau Ellen Brill Manager Recruitment Fon +49 6332 47896-0 zweibruecken@ferchau.com www.ferchau.com Job-Kennziffer STE68-64303-NLZw Ihr Einsatzort Zweibrücken Adresse FERCHAU Engineering GmbH Niederlassung ...
Anzeige ansehenKonstruktion, Visualisierung
CADblue
Mitglied



Sehen Sie sich das Profil von CADblue an!   Senden Sie eine Private Message an CADblue  Schreiben Sie einen Gästebucheintrag für CADblue

Beiträge: 111
Registriert: 20.07.2011

acad 2016 + civil

erstellt am: 14. Mai. 2012 14:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

jo danke andi werds gleich mal testen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de